com.google.gwt.event.dom.client

## Class KeyPressEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.google.gwt.event.dom.client.DomEvent<H>
      - - com.google.gwt.event.dom.client.KeyEvent<KeyPressHandler>
        - - com.google.gwt.event.dom.client.KeyPressEvent

All Implemented Interfaces:
  HasNativeEvent

    public class KeyPressEvent
    extends KeyEvent<KeyPressHandler>

Represents a native key press event.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent

`DomEvent.Type<H extends EventHandler>`

### Constructor Summary

Constructors
`protected` `KeyPressEvent()` Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire key press events.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `dispatch(KeyPressHandler handler)` Should only be called by `HandlerManager`.
`DomEvent.Type<KeyPressHandler>` `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`char` `getCharCode()` Gets the char code for this event.
`static DomEvent.Type<KeyPressHandler>` `getType()` Gets the event type associated with key press events.
`int` `getUnicodeCharCode()` Gets the Unicode char code (code point) for this event.
`java.lang.String` `toDebugString()` This is a method used primarily for debugging.

### Methods inherited from class com.google.gwt.event.dom.client.KeyEvent

`isAltKeyDown, isAnyModifierKeyDown, isControlKeyDown, isMetaKeyDown, isShiftKeyDown`

### Methods inherited from class com.google.gwt.event.dom.client.DomEvent

`fireNativeEvent, fireNativeEvent, getNativeEvent, getRelativeElement, init, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

### Methods inherited from class com.google.gwt.event.shared.GwtEvent

`assertLive, getSource, isLive, kill, revive`

### Methods inherited from class com.google.web.bindery.event.shared.Event

`setSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### KeyPressEvent

    protected KeyPressEvent()

Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire key press events.

### Method Detail

#### getType

    public static DomEvent.Type<KeyPressHandler> getType()

Gets the event type associated with key press events.

Returns:
  the handler type

#### getAssociatedType

    public final DomEvent.Type<KeyPressHandler> getAssociatedType()

Description copied from class: `Event`
Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

Specified by:
  `getAssociatedType` in class `DomEvent<KeyPressHandler>`
Returns:
  the type

#### getCharCode

    public char getCharCode()

Gets the char code for this event.

Returns:
  the char code

#### getUnicodeCharCode

    public int getUnicodeCharCode()

Gets the Unicode char code (code point) for this event.

Returns:
  the Unicode char code

#### toDebugString

    public java.lang.String toDebugString()

Description copied from class: `Event`
This is a method used primarily for debugging. It gives a string representation of the event details. This does not override the toString method because the compiler cannot always optimize toString out correctly. Event types should override as desired.

Overrides:
  `toDebugString` in class `Event<KeyPressHandler>`
Returns:
  a string representing the event's specifics.

#### dispatch

    protected void dispatch(KeyPressHandler handler)

Description copied from class: `GwtEvent`
Should only be called by `HandlerManager`. In other words, do not use or call.

Specified by:
  `dispatch` in class `GwtEvent<KeyPressHandler>`
Parameters:
  `handler` - handler
See Also:
  `EventBus.dispatchEvent(Event, Object)`